Subject: [Sigtran] Need ANSWER 4 these QUERIES !!

From: Mahantesh <[email-masked]>
Date: Wed, 15 Nov 2006 17:38:38 +0530

Hi there,

   1.     What is a Routing Context [RC] and why it is required, when a
   Routing Key [RK] serves the purpose?
   2.     Whether 2 Application Servers [AS] can have the same RK?
   3.     What's the main purpose of Network Appearence [NA] ?
   4.     How many Associations are possible between SG and AS?
   5.     How many ASPs can be in an AS? and why?

*Rgrds,
-Mahantesh*
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 15 Nov 2006 05:53:53 -0700

Mahantesh,

Please see comments below...

Mahantesh wrote:                     (Wed, 15 Nov 2006 17:38:38)
>        Routing Key [RK] serves the purpose?

Because an RK is a large thing with difficult decoding and the
RC is a simple 32-bit number.  Because RC is used in every
message in the main data flow, it increases peformance and
throughput.

>     2.     Whether 2 Application Servers [AS] can have the same RK?

No they cannot.  There is a 1:1:1 relationship between AS:RC:RK.
Grep the RFC for unique.

>     3.     What's the main purpose of Network Appearence [NA] ?

To define the format and numbering space for signalling point
codes when the SG supports multiple signalling point code
formats or numbering spaces and the 32-bit signalling point code
value is not sufficient to distinguish between two signalling
points.  See definition RFC 4666 bottom of page 7.

>     4.     How many Associations are possible between SG and AS?

Zero.  An SG does not form associations to an AS: SGPs form
associations to ASPs.

Between an SGP and an ASP?  Zero or one.  Two is not permitted.
If a second connection is attempted to an SGP and the SGP knows
that it is the same ASP (from the remote or local IP address(es)
and port and configuration) it should refuse the connection.  If
it cannot determine the ASP identity (or uniqeness) from these
parameters, it will require an ASP Id.  If a ASP Up is received
on two associations with the same ASP Id, the second should be
refused with error Invalid ASP Id.  Note that an ASP or an SGP
is not a piece of hardware or an IP host (although they are
drawn that way in the examples), it can be a process or
sub-process within a host.  As such, one host can represent
multiple ASPs, but each must have only one association to each
SGP.

>     5.     How many ASPs can be in an AS? and why?

Zero to unlimited.  Because no minimum or maximum is placed on
this number by the RFCs.  For a loadsharing AS, there is usually
a practical limit to the number of ACTIVE ASP in an AS (the range
of the load sharing key, but, depending in the loadsharing key
that number could still be very large).

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Ilie Glib" <[email-masked]>
Date: Wed, 15 Nov 2006 14:35:31 +0100

Hello Brian,

can you point out a statement in the M3UA RFC that does not allow
having more than one association between two signalling processes,
especially considering the fact that ASP ID is an optional parameter.
Moreover, there is no explicit statement that does not allow having
several SCTP endpoints in one signalling process.

Therefore, it looks like the RFC allows having multiple SCTP
associations between two signalling processes, although it is
non-sense.

Regards

/Ilie

-- 
Ilie

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 15 Nov 2006 12:28:16 -0700

Ilie,

Well, RFC 3331 (M2UA) Page 32:

 Note: The ASP Identifier MUST be used where the SGP cannot
       identify the ASP by pre-configured address/port number
       information (e.g., where an ASP is resident on a Host using
       dynamic address/port number assignment).

RFC 3868 (SUA) Page 49:

 Note 1:     ASP Identifier MUST be used where the IPSP/SGP cannot
             identify the ASP by provisioned address/port number
	     information (e.g., where an ASP is resident on a Host
	     using dynamic address/port number assignment).

I am sorry, but I am not the one responsible for the watering down
of this statement in M3UA.  Talk to one of the document's many editors.

--brian

Ilie Glib wrote:                           (Wed, 15 Nov 2006 14:35:31)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: Mahantesh <[email-masked]>
Date: Thu, 16 Nov 2006 09:50:18 +0530

Brain,

THANK YOU VERY MUCH, It really helped me a lot.

*Rgds,*
*-Mahantesh*
IntelliNet Technologies.

-- 
Rgrds,
-Mahantesh

---

From: Mahantesh <[email-masked]>
Date: Thu, 16 Nov 2006 17:56:25 +0530

Hi Brain,

Few more queries, and need ANSWERS

   1. *In M3UA msg the version parameter can have value 0 or 1, Is
   version-1 has BACKWARD copatibility with vesion-0?
   *
   2. *In loadshare mode, if a mantion [2+1] and one of the ACTIVE ASP
   goes down  then the INACTIVE ASP should be informed to get into ACTIVE mode
   or an NOTIFY/ERROR msg should be sent? If ERROR, what the 1 in [2+1] is
   doing?*

*Thanks & Rgds,*
*-Mahantesh*

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 16 Nov 2006 06:02:39 -0700

Mahantesh,

Mahantesh wrote:                                 (Thu, 16 Nov 2006 17:56:25)
>     1. In  M3UA  msg  the  version  parameter  can  have value 0 or 1, Is

No.  RFC 4666 was not written with backward compatibility to RFC 3332 in mind.
RFC 4666 OBSOLETES RFC 3332.  Therefore a version parameter with a value of 0
is following an OBSOLETE PROPOSED STANDARD.  If you really want to support an
obsolete proposed standard, the differences are perhaps not too drastic in
most cases, and I believe it is not too difficult to place the necessary
conditionals in the code to accomodate both.

>     2. In lo adshare mo de, if  a mantion [2+1] and one of the ACTIVE ASP
>        goes  down   then  the INACTIVE ASP should be informed to get into
>        ACTIVE  mode or an NOTIFY/ERROR msg should be sent? If ERROR, what
>        the 1 in [2+1] is doing? 

If the minimum number of ASPs for the AS is configured as 2 at the SG, and
one of the two goes inactive, the SG must send Notify("Insufficient ASPs
active in AS").  If the SG follows the principles of

 http://www.ietf.org/internet-drafts/draft-bidulock-sigtran-corid-04.txt

it will wait for a time before diverting traffic from the inactivating or
failed ASP to the remaining ASP, giving the notified (or recovering) ASP
sufficient time to (re)activate and accept the traffic marked for diversion.

If one of the ASPs fail (i.e. the associations are lost to the SG), the SG
will notify the remaining active and inactive ASP both with
Notify("Insufficient ASPs active in AS") as well as Notify("ASP Failure") with
the ASP Id of the failing ASP.

Neither notification, however, compels the inactive ASP to become active.  It
is up to the ASPs to decide amoungst themselves what the best course of action
is.  (The only notification message that compels an ASP is Notify("Alternate
ASP Active in AS").)

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 16 Nov 2006 06:37:29 -0700

Mahantesh,

Brian F. G. Bidulock wrote:                       (Thu, 16 Nov 2006 06:02:39)
> conditionals in the code to accomodate both.

s/OBSOLETE PROPOSED STANDARD/OBSOLETE DRAFT OF AN OBSOLETE PROPOSED STANDARD/

;)

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Ong, Lyndon" <[email-masked]>
Date: Fri, 17 Nov 2006 12:17:31 -0500

Hi Folks, 

There seems to be some confusion about this.  My understanding
after checking with the editors is that RFC 4666, although it
obsoletes RFC 3332, is still backwards compatible.  An implementation
of 4666 should be able to work with an implementation of 3332
and vice versa, thus there was no reason for a version change.  

The SSN and CIC were removed from Routing Key registration due
to interoperability issues, but these were optional parameters
in RFC 3332.

Cheers,

L. Ong

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 17 Nov 2006 15:52:42 -0700

Lyndon,

There were additional code points added to a number of fields
and the state machine was changed in an incompatible fashion,
particularly with regard to 'n'.

IMO the version number should have been incremented.

--brian

Lyndon Ong wrote:                     (Fri, 17 Nov 2006 12:17:31)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/